Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class Targets

    java.lang.Object
      escjava.translate.Targets

public final class Targets
extends java.lang.Object

Provides methods for computing various kinds of syntactic targets

Constructor Summary
`Targets()`

Method Summary
`static Set` | `direct(GuardedCmd gc)` Returns the set of variables that are direct normal targets in `gc`, that is, that are modified in some assignment statement, not call statement, in `gc`.
`static Set` | `normal(GuardedCmd gc)` Returns the set of normal targets of `gc`.
`private static void` | `simpleTargets(GuardedCmd gc, Set set, boolean includeCallTargets)` Adds `SimpleTargets[[ gc ]]` (as defined in ESCJ 16) to `set`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Targets

    public Targets()

Method Detail

### normal

    public static Set normal(GuardedCmd gc)

  Returns the set of normal targets of `gc`. In ESCJ 16 speak, this method returns `NTargets[[ gc, {} ]]`.

### direct

    public static Set direct(GuardedCmd gc)

  Returns the set of variables that are direct normal targets in `gc`, that is, that are modified in some assignment statement, not call statement, in `gc`.

### simpleTargets

    private static void simpleTargets(GuardedCmd gc,
                                      Set set,
                                      boolean includeCallTargets)

  Adds `SimpleTargets[[ gc ]]` (as defined in ESCJ 16) to `set`. Assumes that no local variable declared in `gc` is in `set`. If `includeCallTargets` is `true`, the targets of calls are included; otherwise, they are not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage